#include <libnotify/notify.h>
#include <stdio.h>
#include <unistd.h>


int usage()
{
	printf("\n USAGE: notificator <title> <text> <absolute path to icon>\n\n");
}



int main(int argc, char * argv[] ) 
{
    if ( g_strcmp0(argv[1], "--help") == 0) { usage(); return 0;}
	    
    NotifyNotification *notifica;  
    notify_init("Notificator");
    
    notifica = notify_notification_new (argv[1], argv[2], argv[3], NULL);
    
    if (!notify_notification_show (notifica, NULL)) 
    {
		fprintf(stderr, "Error on notify\n");
		return 1;
    }

    g_object_unref(G_OBJECT(notifica));

    return 0;
}


 
